### Hierarchy

- unknown
  - Alert

## Index

### Constructors

- constructor

### Methods

- clearExtraDataMap
- getExtraDataMap
- getIsPreReleaseInfo
- getIsUpdateInfo
- getMessage
- getOwnerPubKeyBytes
- getOwnerPubKeyBytes_asB64
- getOwnerPubKeyBytes_asU8
- getSignatureAsBase64
- getVersion
- serializeBinary
- setIsPreReleaseInfo
- setIsUpdateInfo
- setMessage
- setOwnerPubKeyBytes
- setSignatureAsBase64
- setVersion
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new Alert(): Alert

- Inherited from jspb.Message.constructor

  #### Returns Alert

## Methods

### clearExtraDataMap

- clearExtraDataMap(): Alert

- - Defined in src/protobuf/pb_pb.d.ts:2823

  #### Returns Alert

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- - Defined in src/protobuf/pb_pb.d.ts:2822

  #### Returns Map<string, string>

### getIsPreReleaseInfo

- getIsPreReleaseInfo(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2825

  #### Returns boolean

### getIsUpdateInfo

- getIsUpdateInfo(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2811

  #### Returns boolean

### getMessage

- getMessage(): string

- - Defined in src/protobuf/pb_pb.d.ts:2805

  #### Returns string

### getOwnerPubKeyBytes

- getOwnerPubKeyBytes(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2817

  #### Returns string | Uint8Array

### getOwnerPubKeyBytes_asB64

- getOwnerPubKeyBytes_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:2819

  #### Returns string

### getOwnerPubKeyBytes_asU8

- getOwnerPubKeyBytes_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2818

  #### Returns Uint8Array

### getSignatureAsBase64

- getSignatureAsBase64(): string

- - Defined in src/protobuf/pb_pb.d.ts:2814

  #### Returns string

### getVersion

- getVersion(): string

- - Defined in src/protobuf/pb_pb.d.ts:2808

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2828

  #### Returns Uint8Array

### setIsPreReleaseInfo

- setIsPreReleaseInfo(value: boolean): Alert

- - Defined in src/protobuf/pb_pb.d.ts:2826

  #### Parameters

  - ##### value: boolean

  #### Returns Alert

### setIsUpdateInfo

- setIsUpdateInfo(value: boolean): Alert

- - Defined in src/protobuf/pb_pb.d.ts:2812

  #### Parameters

  - ##### value: boolean

  #### Returns Alert

### setMessage

- setMessage(value: string): Alert

- - Defined in src/protobuf/pb_pb.d.ts:2806

  #### Parameters

  - ##### value: string

  #### Returns Alert

### setOwnerPubKeyBytes

- setOwnerPubKeyBytes(value: string | Uint8Array): Alert

- - Defined in src/protobuf/pb_pb.d.ts:2820

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Alert

### setSignatureAsBase64

- setSignatureAsBase64(value: string): Alert

- - Defined in src/protobuf/pb_pb.d.ts:2815

  #### Parameters

  - ##### value: string

  #### Returns Alert

### setVersion

- setVersion(value: string): Alert

- - Defined in src/protobuf/pb_pb.d.ts:2809

  #### Parameters

  - ##### value: string

  #### Returns Alert

### toObject

- toObject(includeInstance?: boolean): Alert . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2829

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns Alert . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): Alert

- - Defined in src/protobuf/pb_pb.d.ts:2832

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Alert

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Alert, reader: BinaryReader): Alert

- - Defined in src/protobuf/pb_pb.d.ts:2833

  #### Parameters

  - ##### message: Alert

  - ##### reader: BinaryReader

  #### Returns Alert

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: Alert, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2831

  #### Parameters

  - ##### message: Alert

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: Alert ): Alert . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2830

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Alert

  #### Returns Alert . AsObject

Generated using TypeDoc